org.apache.lucene.codecs.lucene40

## Class Lucene40TermVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsReader
  - - org.apache.lucene.codecs.lucene40.Lucene40TermVectorsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public class Lucene40TermVectorsReader
      extends TermVectorsReader
      implements Closeable

  Lucene 4.0 Term Vectors reader.

  It reads .tvd, .tvf, and .tvx files.

  See Also:
    `Lucene40TermVectorsFormat`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40TermVectorsReader(Directory d, SegmentInfo si, FieldInfos fieldInfos, IOContext context)` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermVectorsReader` | `clone()` Create a clone that one caller at a time may use to read term vectors.
    `void` | `close()`
    `Fields` | `get(int docID)` Returns term vectors for this document, or null if term vectors were not indexed.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene40TermVectorsReader

          public Lucene40TermVectorsReader(Directory d,
                                   SegmentInfo si,
                                   FieldInfos fieldInfos,
                                   IOContext context)
                                    throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### get

          public Fields get(int docID)
                     throws IOException

      Description copied from class: `TermVectorsReader`
      Returns term vectors for this document, or null if term vectors were not indexed. If offsets are available they are in an `OffsetAttribute` available from the `DocsAndPositionsEnum`.
      Specified by:
        `get` in class `TermVectorsReader`
      Throws:
        `IOException`

    - #### clone

          public TermVectorsReader clone()

      Description copied from class: `TermVectorsReader`
      Create a clone that one caller at a time may use to read term vectors.
      Specified by:
        `clone` in class `TermVectorsReader`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.